import React from 'react';
import PropTypes from 'prop-types';
import styles from './variable.module.scss';

const VariableComponent = ({ item }) => (
  <div className={styles?.variableContainer || ''}>{item.path}</div>
);

VariableComponent.propTypes = {
  item: PropTypes.shape({
    path: PropTypes.string,
  }).isRequired,
};

export default VariableComponent;
