export const deafultFoldTableRows = [
  {
    name: 'Single',
    type: 'number',
  },
  {
    name: 'Double',
    type: 'number',
  },
  {
    name: 'Treble',
    type: 'number',
  },
];

export const betType = [
  {
    name: 'Single',
    num_of_rows: 1,
    multiple_options: false,
    show_num_selection: true,
    types: [1],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Double',
    num_of_rows: 2,
    show_num_selection: true,
    multiple_options: true,
    types: [2],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Treble',
    num_of_rows: 3,
    show_num_selection: true,
    multiple_options: true,
    types: [3],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Accumulator',
    num_of_rows: 3,
    show_num_selection: true,
    multiple_options: true,
    types: [0],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Trixie',
    num_of_rows: 3,
    show_num_selection: false,
    multiple_options: true,
    types: [2, 3],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Patent',
    num_of_rows: 3,
    multiple_options: true,
    show_num_selection: false,
    types: [1, 2, 3],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Yankee',
    num_of_rows: 4,
    show_num_selection: false,
    multiple_options: true,
    types: [2, 3, 4],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Canadian',
    num_of_rows: 5,
    multiple_options: true,
    show_num_selection: false,
    types: [2, 3, 4, 5],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Superyankee',
    num_of_rows: 5,
    show_num_selection: false,
    multiple_options: true,
    types: [2, 3, 4, 5],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Heinz',
    num_of_rows: 6,
    multiple_options: true,
    show_num_selection: false,
    types: [2, 3, 4, 5, 6],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Superheinz',
    num_of_rows: 7,
    multiple_options: true,
    show_num_selection: false,
    types: [2, 3, 4, 5, 6, 7],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Goliath',
    num_of_rows: 8,
    show_num_selection: false,
    types: [2, 3, 4, 5, 6, 7, 8],
    multiple_options: true,
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Lucky15',
    num_of_rows: 4,
    show_num_selection: false,
    types: [1, 2, 3, 4],
    multiple_options: true,
    bookmakerBonus: true,
    oneLoserBonus: false,
    oneWinnerConsolation: true,
  },
  {
    name: 'Lucky31',
    num_of_rows: 5,
    show_num_selection: false,
    types: [1, 2, 3, 4, 5],
    multiple_options: true,
    bookmakerBonus: true,
    oneLoserBonus: true,
    oneWinnerConsolation: true,
  },
  {
    name: 'Lucky63',
    num_of_rows: 6,
    show_num_selection: false,
    multiple_options: true,
    types: [1, 2, 3, 4, 5, 6],
    bookmakerBonus: true,
    oneLoserBonus: true,
    oneWinnerConsolation: true,
  },
  {
    name: 'Alphabet',
    num_of_rows: 6,
    show_num_selection: false,
    multiple_options: false,
    types: [],
    bookmakerBonus: true,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Single stakes about',
    num_of_rows: 2,
    show_num_selection: false,
    multiple_options: false,
    types: ['SSA'],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Double stakes about',
    num_of_rows: 2,
    show_num_selection: false,
    multiple_options: false,
    types: ['DSA'],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Roundrobin',
    num_of_rows: 3,
    show_num_selection: false,
    multiple_options: true,
    types: [2, 3, 'SSA'],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Flag',
    num_of_rows: 4,
    show_num_selection: false,
    types: [2, 3, 4, 'SSA'],
    multiple_options: true,
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Superflag',
    num_of_rows: 5,
    show_num_selection: false,
    multiple_options: true,
    types: [2, 3, 4, 5, 'SSA'],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Heinzflag',
    num_of_rows: 6,
    show_num_selection: false,
    multiple_options: true,
    types: [2, 3, 4, 5, 6, 'SSA'],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Superheinzflag',
    num_of_rows: 7,
    show_num_selection: false,
    multiple_options: true,
    types: [2, 3, 4, 5, 6, 7, 'SSA'],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Goliath',
    num_of_rows: 8,
    show_num_selection: false,
    multiple_options: true,
    types: [2, 3, 4, 5, 6, 7, 8, 'SSA'],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Unionjacktrebles',
    num_of_rows: 9,
    show_num_selection: false,
    multiple_options: true,
    types: [3],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Unionjacktrixie',
    num_of_rows: 9,
    show_num_selection: false,
    multiple_options: true,
    types: [2, 3],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Unionjackpatent',
    num_of_rows: 9,
    show_num_selection: false,
    multiple_options: true,
    types: [1, 2, 3],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
  {
    name: 'Unionjackroundrobin',
    num_of_rows: 9,
    show_num_selection: false,
    multiple_options: true,
    types: [2, 3, 'SSA'],
    bookmakerBonus: false,
    oneLoserBonus: false,
    oneWinnerConsolation: false,
  },
];

export const placeOddsoptions = ['1/1', '1/2', '1/3', '1/4', '1/5', '1/6', '1/7', '1/8'];

export const ruleFourOptions = [0, 5, 10, 15, 20, 25, 30, 35, 40, 45, 50, 55, 60, 65, 70, 75];

export const outcomeOptions = [
  { name: 'Winner', value: 'winner' },
  { name: 'Placed', value: 'placed' },
  { name: 'Dead Heat', value: 'dead_heat' },
  { name: 'Lost', value: 'lost' },
  { value: 'void', name: 'Void / Non-Runner' },
];
