/**
 * @name getPaymentData
 * @description Mock data related to the payment method
 * @return {Object} payment method mock data
 */
export default function getPaymentData() {
  return {
    title: 'Payment Method Item Title',
    description:
      'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500s,',
    path: '/',
    relation: {
      name: 'Revolut',
      selling_points: [
        { id: 1, name: 'Multi-layered SSL security' },
        { id: 2, name: 'Competitive Processing fees' },
        { id: 3, name: 'Accepted in 100 countries' },
      ],
      games_count: 10,
      logo_filename_object: {
        alt: 'Payment Method Item Logo',
        filename: '1652872814/revolut.svg',
      },
      rating: '4.5',
    },
  };
}
